Loading...
Searching...
No Matches
new File Reference

The <new> header from C++17's standard library. More...

`#include <new>`
Include dependency graph for new:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | std
| SeqAn specific customisations in the standard namespace.

## Variables

constexpr std::size_t | std::hardware_constructive_interference_size = 64
| Maximum size of contiguous memory to promote true sharing.
constexpr std::size_t | std::hardware_destructive_interference_size = 64
| Minimum offset between two objects to avoid false sharing.

## Detailed Description

The <new> header from C++17's standard library.

Author
  Rene Rahn <rene.rahn AT fu-berlin.de>

Hide me